Oore CI
ReferenceAPIOperationsInstance Settings

Update artifact storage settings

Configure the storage backend for build artifacts (local, S3, or R2).

Operation IDupdate_artifact_storage_settings
PUT
/v1/settings/artifact-storage

Configure the storage backend for build artifacts (local, S3, or R2).

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/settings/artifact-storage" \  -H "Content-Type: application/json" \  -d '{    "provider": "disabled"  }'
{  "settings": {    "has_access_key_id": true,    "has_secret_access_key": true,    "local_base_dir": "string",    "provider": "disabled",    "s3_bucket": "string",    "s3_endpoint": "string",    "s3_region": "string",    "source": "database",    "updated_at": 0  }}